Bug 119841 - passwd: Authentication token manipulation error
passwd: Authentication token manipulation error
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: passwd (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Mike McLean
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-02 10:43 EST by Alex Belash
Modified: 2007-04-18 13:05 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-28 08:18:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alex Belash 2004-04-02 10:43:52 EST
From Bugzilla Helper:


User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; MSIE 5.5; Windows NT 
5.0) Opera 7.0  [en]




Description of problem:


passwd fails to update passwd file and fails with following error:


passwd: Authentication token manipulation error


this occur on all accounts


using RH7.3


Pam module as shipped with distribution  Server package from RH.




Version-Release number of selected component (if applicable):


passwd-0.67-1




How reproducible:


Always




Steps to Reproduce:


1.login root


2.passwd username


3.wait for bad result


    




Actual Results:  root@work /root]# passwd oper


Changing password for user oper


passwd: Authentication token manipulation error




Expected Results:  [root@work /root]# passwd oper


Changing password for user oper


New UNIX password: 


Retype new UNIX password: 


passwd: all authentication tokens updated successfully




Additional info:




Because I can't change a users passwd I have to use the same empty 
passwords for several users...this is a big security problem.
Comment 1 Mark J. Cox (Product Security) 2004-04-05 06:23:17 EDT
Red Hat Linux 7.3 is no longer supported, does this occur with Red Hat
Linux 9?

Note You need to log in before you can comment on or make changes to this bug.